/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// ui逻辑处理类
/// created by chenwb 2024

import FguiMgr from "../../../../frameWork/fgui/FguiMgr";
import { FguiViewCtrl } from "../../../../frameWork/fgui/mvc/FguiViewCtrl";
import { <#UIName>VM } from "./<#UIName>VM";
import { <#UIName>View } from "./<#UIName>View";

export class <#UIName>Ctrl extends FguiViewCtrl<<#UIName>VM> {
    OnInited(): void {
    }
    OnShow(intent?: any): void {
        this.AddListeners();
    }
    OnHide(): void {
        this.RemoveListeners();
    }
    //#region UI事件
    private AddListeners() : void {
<#UIEventsAddArea>
    }
    private RemoveListeners() : void {
<#UIEventsRemoveArea>
    }
<#UIEventsDefineArea>
    private Close(): void{
        FguiMgr.Instance.closeUI(<#UIName>View);
    }
    //#endregion
}